package com.unipi.talepis.protal2024_2;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class MainActivity3 extends AppCompatActivity {
    EditText am,email;
    SQLiteDatabase database;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main3);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        am = findViewById(R.id.editTextText2);
        email = findViewById(R.id.editTextText3);
        database = openOrCreateDatabase("myDB.db",MODE_PRIVATE,null);
        database.execSQL("Create table if not exists Student(" +
                "am TEXT," +
                "email TEXT PRIMARY KEY)");
        database.execSQL("Insert or ignore into Student values('mpsp23007','dim@unipi.gr')");
    }
    public void insert(View view){
        String strAM = am.getText().toString();
        String strEmail = email.getText().toString();
        database.execSQL("Insert or ignore into Student values(?,?)",new String[]{strAM,strEmail});
        Toast.makeText(this, "Student saved", Toast.LENGTH_SHORT).show();
    }
    public void select(View view){
        Cursor cursor = database.rawQuery("Select * from Student",null);
        StringBuilder builder = new StringBuilder();
        while (cursor.moveToNext()){
            builder.append("AM:").append(cursor.getString(0)).append("\n");
            builder.append("Email:").append(cursor.getString(1)).append("\n\n");
        }
        showMessage("All Students in DB",builder.toString());
    }
    private void showMessage(String title, String message){
        new AlertDialog.Builder(this)
                .setCancelable(true)
                .setTitle(title)
                .setMessage(message)
                .show();
    }
}